Search found 1106 matches

Go to advanced search

by freedman
Tue Jan 21, 2020 2:02 pm
Forum: Python scripting and macros
Topic: How to read object placement angle
Replies: 2
Views: 52

Re: How to read object placement angle

openBrain, I had the "Rotation.Angle" printed and got .244346095279, the Euler is what I needed, it prints out at 14.0. Thank you. I was trying to get that info from this long thread about angles but that's a tough read at midnight. https://forum.freecadweb.org/viewtopic.php?f=3&t=42185&start=50&hil...
by freedman
Tue Jan 21, 2020 8:31 am
Forum: Python scripting and macros
Topic: How to read object placement angle
Replies: 2
Views: 52

How to read object placement angle

My goal is to rotate an object a certain amount but first I need to read it's current angle so I can add to it. I have done this: Ang = App.ActiveDocument.Body001.Placement print(Ang) and get a print out: Placement[Pos=(0,0,0), Yaw-Pitch-Roll=(14,0,0)] The angle is 14 degrees but how do access that ...
by freedman
Mon Jan 20, 2020 11:57 pm
Forum: Help on using FreeCAD
Topic: Sketcher Visibility
Replies: 4
Views: 105

Re: Sketcher Visibility

Another approach, I made a macro that helps with visualizations. It isn't finished yet but it does work.
https://forum.freecadweb.org/viewtopic.php?f=22&t=41494
by freedman
Mon Jan 20, 2020 7:36 pm
Forum: Python scripting and macros
Topic: How to move the cursor to selected objects 0,0,0?
Replies: 1
Views: 55

How to move the cursor to selected objects 0,0,0?

I would like to mouse select an object (Part container) in the graphic area and have the mouse jump to the 0,0,0 location of the object selected. I know FreeCAD knows how to do it because the transform tool does just that when it initially gets placed. I have looked around the forums and have not fo...
by freedman
Mon Jan 20, 2020 6:48 am
Forum: Python scripting and macros
Topic: Using FreeCADGui.Selection.getSelection() in 0.19
Replies: 2
Views: 166

Using FreeCADGui.Selection.getSelection() in 0.19

I'm using a SelObserver to select an object with a mouse, then I change it's location. What I have works except when I use it on 0.19 and select a link, the original moves but not the link. I read a bunch but I can't find how "sel = FreeCADGui.Selection.getSelection()[0]" needs a mod. Do I need to i...
by freedman
Sat Jan 18, 2020 11:12 pm
Forum: Help on using FreeCAD
Topic: Need help restoring my main 3D view
Replies: 1
Views: 70

Re: Need help restoring my main 3D view

Watch more tutorials. Select the last feature in the tree, hit the space bar.
by freedman
Sat Jan 18, 2020 1:22 am
Forum: Help on using FreeCAD
Topic: Is there a FreeCAD model examples area?
Replies: 5
Views: 214

Re: Is there a FreeCAD model examples area?

Thanks, some of that is older version, some is Part. I get the feeling there is another job to do if one wants this to be seperated into categories and verified. Still I just spent 30 min. converting an LCD display into a Part Design file, I'm sure I could not draw it that fast. If we wanted to make...
by freedman
Fri Jan 17, 2020 8:32 pm
Forum: Help on using FreeCAD
Topic: Is there a FreeCAD model examples area?
Replies: 5
Views: 214

Is there a FreeCAD model examples area?

I have never heard anyone reference a place on the site (here) to store some user created models. Basic stuff like cars, bathroom sinks, chairs, humans, electronics. I know there are models spread all over but I'm talking some storage where new users can open some basic models that we know the names...
by freedman
Sun Jan 12, 2020 9:30 pm
Forum: Help on using FreeCAD
Topic: Switching between workbenches using Part
Replies: 37
Views: 716

Re: Switching between workbenches using Part

This has no sense. A user that is drafting should stick with Draft, and one that is sketching should stick with Sketcher. Mixing both is a super bad idea.
I see that now. Draft and Arch appear to have their own drawing tools. I guess this only applies to Part.
Thanks
by freedman
Sun Jan 12, 2020 8:46 pm
Forum: Help on using FreeCAD
Topic: Cutting a translated Part Design object?
Replies: 2
Views: 129

Re: Cutting a translated Part Design object?

Draw a box/shape over the section you don't want and do a pocket?

Go to advanced search